function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import React from "react";
import classNames from "classnames";
import "./index.less";
var prefix = "pisell-lowcode-";
var ClassicLayout = function ClassicLayout(props) {
  var _classNames2;
  var header = props.header,
    content = props.content,
    footer = props.footer,
    style = props.style,
    fixedHeader = props.fixedHeader,
    fixedFooter = props.fixedFooter,
    footerClassName = props.footerClassName,
    footerStyle = props.footerStyle;
  return /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefix, "claseic-layout"),
    style: style
  }, /*#__PURE__*/React.createElement("header", {
    className: classNames(_defineProperty({}, "".concat(prefix, "claseic-layout-fixed-header"), fixedHeader))
  }, header), content, /*#__PURE__*/React.createElement("footer", {
    className: classNames((_classNames2 = {}, _defineProperty(_classNames2, "".concat(prefix, "claseic-layout-fixed-footer"), fixedFooter), _defineProperty(_classNames2, footerClassName, footerClassName), _classNames2)),
    style: footerStyle
  }, footer));
};
export default ClassicLayout;